<ion-header>
  <ion-toolbar color="rmpink">
    <div>
      <ion-input class="input text-bold" placeholder="search music" clearInput (ionChange)="handleChange($event)" debounce ="1000">
        <ion-icon name="search-outline" class="icon p-5"></ion-icon>
      </ion-input>
    </div>
    <ion-title class="uppercase text-center mt-20" *ngIf="genreSelected!==undefined">{{genreSelected.name}} MUSICS</ion-title>
    <ion-img src="assets/img/music4.png" class="img-cat"></ion-img>
   
    <ion-buttons slot="start">
      <ion-back-button color="blanc"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content color="rmgray">
 <div class="d-flex p-30 justify-between"  *ngFor="let music of resultsOfFilter; let i=index"  >
   <div class="d-flex" (click)="toPage(music)">
      <div class="section-img">
        <ion-img src="assets/img/music.png"></ion-img>
      </div>
      <div class="section-title">
        <h3><ion-text>{{music.name}}</ion-text></h3>
        <h6><ion-text color="medium">10 Minutes</ion-text></h6>
      </div>
    </div>
    <div class="mt-10">
      <ion-icon :name="{{music.isLike}}" class="heart-icon  box-shadow-pulse" (click) = "liked(i)" color="rmprimary"></ion-icon>
    </div>
  </div>
</ion-content>